# AbstractVertex | data-structure-typed
Documentation for data-structure-typed

# Class AbstractVertex

#### Hierarchy

- AbstractVertex
  - DirectedVertex
  - UndirectedVertex

- Defined in src/data-structures/graph/abstract-graph.ts:9

#####
Index

### Constructors

constructor

### Properties

_id

### Accessors

id

## Constructors

### constructor

- new AbstractVertex(id): AbstractVertex

- #### Parameters

  - ##### id: VertexId

  #### Returns AbstractVertex

  - Defined in src/data-structures/graph/abstract-graph.ts:10

## Properties

### `Private` _id

_id: VertexId

- Defined in src/data-structures/graph/abstract-graph.ts:14

## Accessors

### id

- get id(): VertexId

- #### Returns VertexId

  - Defined in src/data-structures/graph/abstract-graph.ts:16
- set id(v): void

- #### Parameters

  - ##### v: VertexId

  #### Returns void

  - Defined in src/data-structures/graph/abstract-graph.ts:20

Generated using TypeDoc